components:
  responses:
    MaskError:
      content: {}
      description: When any error occurs on mask
    ParseError:
      content: {}
      description: When a mask can't be parsed
  schemas:
    Asset:
      properties:
        chassisName:
          default: ''
          description: The name of the chassis. This is useful to reference child
            hardware to its parent chassis in a multi-chassis setup.
          example: POD6_TOR_5501-2-LCC-0
          type: string
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        deviceName:
          default: ''
          description: The Network Element Name of the device.
          example: router%
          type: string
        hardwareRevision:
          default: ''
          description: The hardware revision.
          example: '1.3'
          type: string
        installedFlash:
          description: The amount of installed flash in the chassis (in megabytes).
          example: 1024
          type: integer
        installedMemory:
          description: The amount of installed memory in the chassis (in megabytes).
          example: 1024
          type: integer
        physicalAssetId:
          description: The unique identifier for the hardware.
          example: 139163375
          type: integer
        physicalAssetSubtype:
          default: ''
          description: For chassis physicalType. This field will indicate which are
            IP-PHONE, LWAP, or UCSB.
          example: IP-PHONE
          type: string
        physicalAssetType:
          default: ''
          description: 'The physical type of the hardware. Valid values are: Chassis,
            Module, Power Supply, and Fan.'
          example: Chassis
          type: string
        printedCircuitBoardName:
          default: ''
          description: The printed circuit board (PCB) number of the hardware.
          example: 73-9938-05
          type: string
        printedCircuitBoardRevision:
          default: ''
          description: The printed circuit board (PCB) number revision of the hardware.
          example: B0
          type: string
        productFamily:
          default: ''
          description: The Cisco Product Family of the hardware.
          example: Cisco Catalyst 3560-E Series Switches
          type: string
        productId:
          default: ''
          description: The Cisco Product ID (PID) of the hardware.
          example: NCS-5501
          type: string
        productType:
          default: ''
          description: The Cisco Product Type of the hardware.
          example: Metro Ethernet Switches
          type: string
        serialNumber:
          default: ''
          description: The serial number of the hardware.
          example: IMC1932004M
          type: string
        serialNumberStatus:
          default: ''
          description: 'The validation status of the Serial Number (SN) of the hardware:
            - VALID means the SN was found in Cisco Manufacturing or Contract Database.
            - INVALID means the SN was not found in either of those databses. - UNKNOWN
            means the SN validation has been completed. - N/A means the SN is null,
            so validation is not applicable.'
          example: VALID
          type: string
        slot:
          default: ''
          description: The slot where asset is located in the chassis.
          example: 1/1/0
          type: string
        softwareVersion:
          default: ''
          description: The installed software version.
          example: 15.1(4)M4
          type: string
        topAssemblyNumber:
          default: ''
          description: The Top Assembly Number (TAN) of the hardware.
          example: 800-25952-06
          type: string
        topAssemblyNumberRevision:
          default: ''
          description: The Top Assembly Number (TAN) Revision of the hardware.
          example: A0
          type: string
      type: object
    CBPDetails:
      properties:
        bestPracticeNuggetId:
          description: The unique identifier of the Configuration Best Practice nugget.
          example: "IOS_XR_UNSUPP_TRANSEIVER"
          type: string
        bestPracticeRuleId:
          description: The unique identifier of the Configuration Best Practice rule.
          example: "7262"
          type: string
        configSource:
          default: ''
          description: The source of a Configuration file. The primary source will
            be "STANDARD". But in some devices, it might be "CONTEXT" or "ADMIN".
          example: STANDARD
          type: string
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
      type: object
    CBPRules:
      properties:
        bestPracticeCaveat:
          default: ''
          description: The Caveat associated with a Configuration Best Practice rule.
          example: The network administrator may want to permit ICMP unreachable messages
            in certain environments. For example, ICMP type 3, code 1; code 3; and
            code 4 are required for the SMTP e-mail gateway, Path MTU discovery, etc.
          type: string
        bestPracticeCorrectiveAction:
          default: ''
          description: The Corrective Action associated with a Configuration Best
            Practice rule.
          example: 'interface interface_name_number

            snip

            ipv4 unreachables disable

            !'
          type: string
        bestPracticeDescription:
          default: ''
          description: The Description of the Configuration Best Practice rule.
          example: If the Cisco IOS XR software receives a non-broadcast packet destined
            for itself that uses a protocol it does not recognize, it sends an ICMP
            unreachable message to the source. Also, if the software receives a datagram
            that it cannot deliver to its ultimate destination because it knows of
            no route to the destination address, it replies to the originator of that
            datagram with an ICMP host unreachable message. The ipv4 unreachables
            command affects all types of ICMP unreachable messages and is enabled
            by default in support of RFC 792. However, ICMP unreachables can potentially
            be used to map a network by correlating which addresses generate ICMP
            unreachables and which do not for networks, hosts, protocols, and ports.
          type: string
        bestPracticeNuggetId:
          description: The unique identifier of the Configuration Best Practice nugget.
          example: "IOS_XR_UNSUPP_TRANSEIVER"
          type: string
        bestPracticePrimaryTechnology:
          default: ''
          description: The Primary Technology associated with a Configuration Best
            Practice rule.
          example: '*Security and VPN'
          type: string
        bestPracticeRecommendation:
          default: ''
          description: The Recommendation associated with a Configuration Best Practice
            rule.
          example: Control ICMP unreachable responses in certain environments, especially
            along untrusted edges between administrative domains, with the interface
            command ipv4 unreachables disable on affected interfaces. ICMP unreachables
            covers network, host, protocol, and port unreachable messages. Also, in
            IOS XR software, the ICMP unreachable messages are rate-limited default.
            The default value is one ICMP destination unreachable message every 500
            milliseconds. Using the configuration command icmp ipv4 rate-limit unreachable
            [DF] milliseconds.
          type: string
        bestPracticeRisk:
          default: ''
          description: 'The Risk associated with a Configuration Best Practice rule.
            Valid values include: High, Medium, Low.'
          example: Low
          type: string
        bestPracticeRuleId:
          description: The unique identifier of the Configuration Best Practice rule.
          example: "7262"
          type: string
        bestPracticeRuleModificationTimestamp:
          description: The timestamp when the data or rule was last updated.
          format: date-time
          type: string
        bestPracticeSecondaryTechnology:
          default: ''
          description: The Secondary Technologies associated with a Configuration
            Best Practice rule. Can be multiple values separated with commas.
          example: '*Security and VPN'
          type: string
        bestPracticeTitle:
          default: ''
          description: The Configuration Best Practice title.
          example: IPv4 ICMP Unreachables Enabled on All Interfaces
          type: string
        createdTimestamp:
          description: The timestamp the record or rule was created.
          format: date-time
          type: string
        softwareType:
          default: ''
          description: The Type of Software running on the device. Common values include
            IOS, IOS XR, IOS-XE, NX-OS, etc.
          example: IOS-XR
          type: string
      type: object
    CBPRulesReferences:
      properties:
        bestPracticeRuleId:
          description: The unique identifier of the Configuration Best Practice rule.
          example: "7262"
          type: string
        bestPracticeUrl:
          default: ''
          description: The Configuration Best Practice reference URL. Any rule can
            have one or more reference URLs.
          example: http://www.cisco.com/en/US/docs/ios_xr_sw/iosxr_r3.4/addr_serv/command/reference/ir34ntsk.html#wpmkr1151266
          type: string
        bestPracticeUrlTitle:
          default: ''
          description: The Configuration Best Practice reference URL Title.
          example: ipv4 unreachables disable
          type: string
      type: object
    CBPSummary:
      properties:
        bestPracticeNuggetId:
          description: The unique identifier of the Configuration Best Practice nugget.
          example: "IOS_XR_UNSUPP_TRANSEIVER"
          type: string
        bestPracticePrimaryTechnology:
          default: ''
          description: The Primary Technology associated with a Configuration Best
            Practice rule.
          example: '*Security and VPN'
          type: string
        bestPracticeRisk:
          default: ''
          description: 'The Risk associated with a Configuration Best Practice rule.
            Valid values include: High, Medium, Low.'
          example: Low
          type: string
        bestPracticeRuleId:
          description: The unique identifier of the Configuration Best Practice rule.
          example: "7262"
          type: string
        bestPracticeSecondaryTechnology:
          default: ''
          description: The Secondary Technologies associated with a Configuration
            Best Practice rule. Can be multiple values separated with commas.
          example: '*Security and VPN'
          type: string
        bestPracticeTitle:
          default: ''
          description: The Configuration Best Practice title.
          example: IPv4 ICMP Unreachables Enabled on All Interfaces
          type: string
        softwareType:
          default: ''
          description: The Type of Software running on the device. Common values include
            IOS, IOS XR, IOS-XE, NX-OS, etc.
          example: IOS-XR
          type: string
        totalDeviceCount:
          description: The number of unique matching devices in summary APIs. For
            Custom Config and BP, this is the number of devices with exceptions. For
            Feature, this is the number of devices with the feature match. For tracks,
            this is the total number of devices in the track.For groups, this denotes
            number of devices in a group
          example: 10
          type: integer
      type: object
    Device:
      properties:
        collectorName:
          default: ''
          description: The collector identifier, which can be either a 4four-character
            collectorId or the applianceId.
          example: bcs1
          type: string
        configRegister:
          default: ''
          description: The Configuration register of the device.
          example: '8450'
          type: string
        configStatus:
          default: ''
          description: 'The status of Configuration collection: - Completed means
            the config was successfully collected. - NotAvailable means the config
            was not collected. - NotSupported means the device does not support collection
            of an ASCii config via CLI.'
          example: Completed
          type: string
        configTimestamp:
          description: The timestamp when the collector last successfully collected
            the configuration from the device.
          format: date-time
          type: string
        createdTimestamp:
          description: The timestamp the record or rule was created.
          format: date-time
          type: string
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        deviceIp:
          default: ''
          description: The management IP address of the device.
          example: 172.21.1.1
          type: string
        deviceName:
          default: ''
          description: The Network Element Name of the device.
          example: router%
          type: string
        deviceStatus:
          default: ''
          description: The status of the device as reported by the collector. Usually
            will be either ACTIVE or DEVICE NOT REACHABLE.
          example: ACTIVE
          type: string
        deviceType:
          default: ''
          description: The type of the device. Values include Managed Chassis, Managed
            Multi-Chassis, SDR, Contexts, and IOS-XR Admin.
          example: Managed Chassis
          type: string
        featureSetDescription:
          default: ''
          description: The name of the software feature set running on the device.
            This data is primarily available for IOS.
          example: IP BASE W/O CRYPTO
          type: string
        imageName:
          default: ''
          description: The Image Name of the software on the Network Element.
          example: C3560-IPBASE-M
          type: string
        inventoryStatus:
          default: ''
          description: 'The status of Inventory collection: - Completed means some
            SNMP inventory was successfully collected. - NotAvailable means SNMP inventory
            was not collected. - NotSupported means the device was not in the collector
            list of devices to be collected.'
          example: Completed
          type: string
        inventoryTimestamp:
          description: The timestamp when the collector last successfully collected
            inventory from the device.
          format: date-time
          type: string
        ipAddress:
          default: ''
          description: An IPv4 Address.
          example: 172.16.1.1
          type: string
        isInSeedFile:
          description: Indicates whether the device is in a collector seedfile (true)
            or has been logically created by the backend (false).
          example: true
          type: boolean
        lastResetTimestamp:
          description: The timestamp of the last reset of the device as reported by
            the show version command.
          format: date-time
          type: string
        productFamily:
          default: ''
          description: The Cisco Product Family of the hardware.
          example: Cisco Catalyst 3560-E Series Switches
          type: string
        productId:
          default: ''
          description: The Cisco Product ID (PID) of the hardware.
          example: NCS-5501
          type: string
        productType:
          default: ''
          description: The Cisco Product Type of the hardware.
          example: Metro Ethernet Switches
          type: string
        resetReason:
          default: ''
          description: The reason for the last system reset as reported in the show
            version output.
          example: Reset Requested by CLI command reload
          type: string
        snmpSysContact:
          default: ''
          description: The SNMP sysContact of the device which is populated in most
            devices using a configuration command.
          example: snmp syscontact
          type: string
        snmpSysDescription:
          default: ''
          description: The SNMP system description from the device.
          example: Cisco Integrated Management Controller(Cisco IMC) [DN1-HW-APL<NL>],
            Firmware Version 4.1(2f) Copyright (c) 2008-2020, Cisco Systems, Inc."
          type: string
        snmpSysLocation:
          default: ''
          description: The SNMP sysLocation of the device which is populated in most
            devices using a configuration command.
          example: snmp location
          type: string
        snmpSysName:
          default: ''
          description: The hostname (SNMP sysName) of the device. It will be the fully-qualified
            name if the domain name is set on the device.
          example: router.cisco.com
          type: string
        snmpSysObjectId:
          default: ''
          description: The SNMP sysObjectID of the device.
          example: 1.3.6.1.4.1.9.12.3.1.3.1106
          type: string
        softwareType:
          default: ''
          description: The Type of Software running on the device. Common values include
            IOS, IOS XR, IOS-XE, NX-OS, etc.
          example: IOS-XR
          type: string
        softwareVersion:
          default: ''
          description: The installed software version.
          example: 15.1(4)M4
          type: string
        userField1:
          default: ''
          description: The user field 1 value populated in the collector seedfile.
          example: user field 1
          type: string
        userField2:
          default: ''
          description: The user field 2 value populated in the collector seedfile.
          example: user field 2
          type: string
        userField3:
          default: ''
          description: The user field 3 value populated in the collector seedfile.
          example: user field 3
          type: string
        userField4:
          default: ''
          description: The user field 4 value populated in the collector seedfile.
          example: user field 4
          type: string
      type: object
    Error:
      properties:
        message:
          default: ''
          description: Error message
          type: string
        trackingId:
          default: ''
          description: Tracking ID for troubleshooting
          type: string
      type: object
    FNBulletins:
      properties:
        bulletinFirstPublishedTimestamp:
          description: The timestamp when the Security Advisory was first published
            to Cisco.com.
          format: date-time
          type: string
        bulletinLastUpdatedTimestamp:
          description: The timestamp when the Security Advisory was last updated on
            Cisco.com.
          format: date-time
          type: string
        bulletinMappingCaveat:
          default: ''
          description: The Bulletin Mapping Caveat gives any explanations why the
            automation may need additional review by the customer.
          example: Manual efforts are required to confirm if an access control list
            (ACL) on an SNMP community to filter incoming SNMP requests to ensure
            that SNMP queries are performed only by trusted SNMP clients has been
            configured.
          type: string
        bulletinTitle:
          default: ''
          description: The title of the Security Advisory.
          example: Cisco IOS XR Software Intermediate System-to-Intermediate System
            Denial of Service Vulnerability
          type: string
        bulletinUrl:
          default: ''
          description: The Cisco.com URL for the Security Advisory.
          example: https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20200122-ios-xr-dos
          type: string
        fieldNoticeId:
          default: ''
          description: Unique identifier of the Field Notice.
          example: '22633'
          type: string
        fieldNoticeType:
          default: ''
          description: 'The type of the Field Notice. Valid values include: Hardware,
            Software, and other.'
          example: Software
          type: string
        problemDescription:
          default: ''
          description: The description of the Field Notice.
          example: "The Carrier Routing System (CRS) linecards (listed in the Products\
            \ Affected section) might fail to boot up after a software upgrade or\
            \ other user action where the board requires a power cycle operation.\r\
            \n\r\n"
          type: string
      type: object
    HWEOX:
      properties:
        currentEndOfLifeMilestone:
          default: ''
          description: The current end-of-life milestone as calculated during the
            last profiling. If more than one milestone falls on the same date, the
            returned value will be a comma-separated list.
          example: EoSale
          type: string
        currentEndOfLifeMilestoneDate:
          description: The date associated with the current end-of-life milestone.
          example: '2021-04-15'
          format: date
          type: string
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        deviceName:
          default: ''
          description: The Network Element Name of the device.
          example: router%
          type: string
        hardwareEndOfLifeId:
          description: Unique identifier of the hardware end-of-life milestone.
          example: 278929
          type: integer
        nextEndOfLifeMilestone:
          default: ''
          description: The next end-of-life milestone that is coming up as calculated
            during the last profiling. If more than one milestone falls on the same
            date, the returned value will be a comma-separated list. If the device
            is already past Last Day of Support (LDoS) it will not have a next milestone.
          example: LDoS
          type: string
        nextEndOfLifeMilestoneDate:
          description: The date associated with the next end-of-life milestone.
          example: '2023-01-16'
          format: date
          type: string
        physicalAssetId:
          description: The unique identifier for the hardware.
          example: 139163375
          type: integer
        physicalAssetType:
          default: ''
          description: 'The physical type of the hardware. Valid values are: Chassis,
            Module, Power Supply, and Fan.'
          example: Chassis
          type: string
        productId:
          default: ''
          description: The Cisco Product ID (PID) of the hardware.
          example: NCS-5501
          type: string
      type: object
    HWEOXBulletins:
      properties:
        bulletinNumber:
          default: ''
          description: The Cisco.com bulletin number for an End-of-Life bulletin or
            Field Notice.
          example: EOL9958
          type: string
        bulletinTitle:
          default: ''
          description: The title of the Security Advisory.
          example: Cisco IOS XR Software Intermediate System-to-Intermediate System
            Denial of Service Vulnerability
          type: string
        bulletinUrl:
          default: ''
          description: The Cisco.com URL for the Security Advisory.
          example: https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20200122-ios-xr-dos
          type: string
        endOfLifeAnnouncementDate:
          description: The End-of-Life Announcement (Announced) Date.
          example: '2007-04-24'
          format: date
          type: string
        endOfNewServiceAttachmentDate:
          description: The End of New Service Attachment Date.
          example: '2009-01-25'
          format: date
          type: string
        endOfRoutineFailureAnalysisDate:
          description: The End-of-Routine Failure Analysis Date (EoRFA) Date.
          example: '2009-01-25'
          format: date
          type: string
        endOfSaleDate:
          description: The End-of-Sale (EoSale) Date.
          example: '2008-01-25'
          format: date
          type: string
        endOfServiceContractRenewalDate:
          description: The End-of-Service Contract Renewal (EoSCR) Date.
          example: '2012-04-24'
          format: date
          type: string
        endOfSoftwareMaintenanceReleasesDate:
          description: The End-of-Software Maintenance Releases (EoSWM) Date.
          example: '2013-04-24'
          format: date
          type: string
        endOfVulnerabilitySecuritySupportDate:
          description: The End-of-Vulnerability/Security Support (EoVSS) Date.
          example: '2014-04-24'
          format: date
          type: string
        hardwareEndOfLifeId:
          description: Unique identifier of the hardware end-of-life milestone.
          example: 278929
          type: integer
        lastDayOfSupportDate:
          description: The Last Date of Support (LDoS).
          example: '2013-01-31'
          format: date
          type: string
        lastShipDate:
          description: The Last Ship Date.
          example: '2008-04-25'
          format: date
          type: string
        productId:
          default: ''
          description: The Cisco Product ID (PID) of the hardware.
          example: NCS-5501
          type: string
      type: object
    PSIRTBulletins:
      properties:
        bugIds:
          default: ''
          description: Comma-separated list of Cisco Bug IDs linked to the security
            advisory.
          example: CSCvr62342
          type: string
        bulletinFirstPublishedTimestamp:
          description: The timestamp when the Security Advisory was first published
            to Cisco.com.
          format: date-time
          type: string
        bulletinLastUpdatedTimestamp:
          description: The timestamp when the Security Advisory was last updated on
            Cisco.com.
          format: date-time
          type: string
        bulletinMappingCaveat:
          default: ''
          description: The Bulletin Mapping Caveat gives any explanations why the
            automation may need additional review by the customer.
          example: Manual efforts are required to confirm if an access control list
            (ACL) on an SNMP community to filter incoming SNMP requests to ensure
            that SNMP queries are performed only by trusted SNMP clients has been
            configured.
          type: string
        bulletinSummary:
          default: ''
          description: The summary of the Security Advisory.
          example: A vulnerability in the implementation of the Intermediate System-to-Intermediate
            System (IS-IS) routing protocol functionality in Cisco IOS XR Software
            could allow an authenticated, remote attacker to cause a denial of service
            (DoS) condition in the IS-IS process. The vulnerability is due to improper
            handling of a Simple Network Management Protocol (SNMP) request for specific
            Object Identifiers (OIDs) by the IS-IS process. An attacker could exploit
            this vulnerability by sending a crafted SNMP request to the affected device.
            A successful exploit could allow the attacker to cause a DoS condition
            in the IS-IS process. Cisco has released software updates that address
            this vulnerability. There are no workarounds that address this vulnerability.
          type: string
        bulletinTitle:
          default: ''
          description: The title of the Security Advisory.
          example: Cisco IOS XR Software Intermediate System-to-Intermediate System
            Denial of Service Vulnerability
          type: string
        bulletinUrl:
          default: ''
          description: The Cisco.com URL for the Security Advisory.
          example: https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20200122-ios-xr-dos
          type: string
        bulletinVersion:
          default: ''
          description: The version of the Security Advisory.
          example: '1.2'
          type: string
        commonVulnerabilityScoringSystemBaseScore:
          default: ''
          description: Common Vulnerability Scoring System (CVSS) Base Score of the
            Security Advisory.
          example: '7.7'
          type: string
        commonVulnerabilityScoringSystemTemporalScore:
          default: ''
          description: Common Vulnerability Scoring System (CVSS) Temporal Score of
            the Security Advisory.
          example: '6.4'
          type: string
        cveIds:
          default: ''
          description: Common Vulnerabilities and Exposures (CVE) Identifier of the
            Security Advisory.
          example: CVE-2019-1602
          type: string
        securityAdvisoryColdId:
          description: The unique identifier of the Security Advisory.
          example: 1645
          type: integer
        securityAdvisoryId:
          default: ''
          description: The identifier of a Security Advisory as available on Cisco.com.
          example: cisco-sa-20200122-ios-xr-dos
          type: string
        securityImpactRating:
          default: ''
          description: The Security Impact Rating (SIR) for Cisco Security Advisories.
          example: Critical
          type: string
      type: object
    SWEOXBulletins:
      properties:
        bulletinNumber:
          default: ''
          description: The Cisco.com bulletin number for an End-of-Life bulletin or
            Field Notice.
          example: EOL9958
          type: string
        bulletinTitle:
          default: ''
          description: The title of the Security Advisory.
          example: Cisco IOS XR Software Intermediate System-to-Intermediate System
            Denial of Service Vulnerability
          type: string
        bulletinUrl:
          default: ''
          description: The Cisco.com URL for the Security Advisory.
          example: https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20200122-ios-xr-dos
          type: string
        endOfLifeAnnouncementDate:
          description: The End-of-Life Announcement (Announced) Date.
          example: '2007-04-24'
          format: date
          type: string
        endOfSaleDate:
          description: The End-of-Sale (EoSale) Date.
          example: '2008-01-25'
          format: date
          type: string
        endOfSoftwareMaintenanceReleasesDate:
          description: The End-of-Software Maintenance Releases (EoSWM) Date.
          example: '2013-04-24'
          format: date
          type: string
        endOfVulnerabilitySecuritySupportDate:
          description: The End-of-Vulnerability/Security Support (EoVSS) Date.
          example: '2014-04-24'
          format: date
          type: string
        lastDayOfSupportDate:
          description: The Last Date of Support (LDoS).
          example: '2013-01-31'
          format: date
          type: string
        softwareEndOfLifeId:
          description: Unique identifier of the software end-of-life milestone.
          example: 1152
          type: integer
        softwareMaintenanceVersion:
          default: ''
          description: The maintenance version portion of the software version. For
            example, in 12.4(21), it is "21".
          example: '21'
          type: string
        softwareMajorVersion:
          default: ''
          description: The major version portion of the software version.
          example: '15.2'
          type: string
        softwareTrain:
          default: ''
          description: The Software Train, typically only applies to IOS.
          example: SXF
          type: string
        softwareType:
          default: ''
          description: The Type of Software running on the device. Common values include
            IOS, IOS XR, IOS-XE, NX-OS, etc.
          example: IOS-XR
          type: string
      type: object
    collectorModel:
      properties:
        applianceId:
          default: ''
          description: The unique identifier of the collector appliance.
          example: CSP0123456789
          type: string
        collectorName:
          default: ''
          description: The collector identifier, which can be either a 4four-character
            collectorId or the applianceId.
          example: bcs1
          type: string
        collectorStatus:
          default: ''
          description: Collector status.
          example: Cisco Testing
          type: string
        collectorVersion:
          default: ''
          description: Collector version.
          example: 2.8.1.8
          type: string
        expectedUploadInterval:
          description: The number of days expected between full collector uploads
            to Cisco.
          example: 7
          type: integer
        lastUploadTimestamp:
          description: The timestamp of the last completed collection for this collector
          format: date-time
          type: string
      type: object
    complianceModel:
      properties:
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        softwareMaintenanceUpdatePackageInstallationEnvelopeType:
          default: ''
          description: The status of the Software Maintenance Update (SMU) or Package
            Installation Envelope (PIE), which is either Active or Committed
          example: Active
          type: string
        softwareName:
          default: ''
          description: The name of the software running on the network element. For
            System SW, the value is the Image Name. For Package Installation Envelope
            (PIE) it is the package name and for Software Maintenance Update (SMU)
            the SMU name.
          example: asr9k-p-4.2.3.CSCtz41749-1.0.0
          type: string
        softwareRole:
          default: ''
          description: The role of the Software running on the Network Element. Values
            include SYSTEM, PKG, and SMU.
          example: SMU
          type: string
        softwareTrackDeviceSoftwareMaintenanceUpdatePIEAction:
          default: ''
          description: 'Action to take for a specific Software Maintenance Update
            (SMU)/Package Installation Envelope (PIE) for a device: - "Add" means
            the SMU/PIE needs to be installed on the device to make it compliant.
            - "Delete" means the SMU/PIE needs to be removed from the device to make
            it compliant. - "None" means no action needs to be taken.'
          example: Add
          type: string
        softwareTrackDeviceSoftwareMaintenanceUpdatePIECompliance:
          default: ''
          description: 'Compliance status for a specific Software Maintenance Update
            (SMU)/PIE for a device:  - "Compliant" means the SMU/PIE matches the recommendation.
            - "Non-Compliant" means the SMU/PIE does not match the recommended list.
            See the action field for steps to take.  - "Extra" means the SMU/PIE isn''t
            part of the recommended list, but that is okay  - because exact match
            isn''t being used.'
          example: Compliant
          type: string
        softwareTrackId:
          description: The unique identifier of the software track.
          example: 339536
          type: integer
        softwareTrackName:
          default: ''
          description: The Software Track Name.
          example: IOX-XE
          type: string
      type: object
    contractBasePID:
      properties:
        baseProductId:
          default: ''
          description: Base or manufacturing product identifiers related to the specified
            serial number.
          example: ''
          maxLength: 20
          type: string
      type: object
    devices:
      properties:
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        deviceName:
          default: ''
          description: The hostname or ip of the device
          example: 172.21.1.1
          type: string
        eventCount:
          description: The number of times the signature was triggered on a given
            device
          example: 10
          type: integer
      type: object
    fieldNotices:
      properties:
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        fieldNoticeId:
          default: ''
          description: Unique identifier of the Field Notice.
          example: '22633'
          type: string
        matchConfidence:
          default: ''
          description: 'The outcome whether or not this device is vulnerable to the
            Field Notice, possible values are: "Vulnerable", "Potentially Vulnerable"
            or "Not Vulnerable".'
          example: 'Missing: PCB Number; Match on PID; Manual Verification Required'
          type: string
        matchConfidenceReason:
          default: ''
          description: 'The reason behind the match confidence result: explains why
            the device is vulnerable, not vulnerable or what data is missing causing
            a potentially vulnerable result.'
          example: No Match on SW Version; Match on SW Type
          type: string
        physicalAssetId:
          description: The unique identifier for the hardware.
          example: 139163375
          type: integer
      type: object
    groupMembers:
      properties:
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        groupId:
          description: The unique identifier of the group.
          example: 357989
          type: integer
        groupName:
          default: ''
          description: The name of the group.
          example: Storage
          type: string
      type: object
    groups:
      properties:
        groupDescription:
          default: ''
          description: The description of the group.
          example: Avoids using default group
          type: string
        groupId:
          description: The unique identifier of the group.
          example: 357989
          type: integer
        groupName:
          default: ''
          description: The name of the group.
          example: Storage
          type: string
        groupTotalDeviceCount:
          description: The number of unique matching devices in summary APIs. For
            Custom Config and BP, this is the number of devices with exceptions. For
            Feature, this is the number of devices with the feature match. For tracks,
            this is the total number of devices in the track.For groups, this denotes
            number of devices in a group
          example: 10
          type: integer
      type: object
    latestResetModel:
      properties:
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        deviceIp:
          default: ''
          description: The management IP address of the device.
          example: 172.21.1.1
          type: string
        deviceName:
          default: ''
          description: The Network Element Name of the device.
          example: router%
          type: string
        inventoryTimestamp:
          description: The timestamp when the collector last successfully collected
            inventory from the device.
          format: date-time
          type: string
        lastResetTimestamp:
          description: The timestamp of the last reset of the device as reported by
            the show version command.
          format: date-time
          type: string
        productFamily:
          default: ''
          description: The Cisco Product Family of the hardware.
          example: Cisco Catalyst 3560-E Series Switches
          type: string
        productId:
          default: ''
          description: The Cisco Product ID (PID) of the hardware.
          example: NCS-5501
          type: string
        resetReason:
          default: ''
          description: The reason for the last system reset as reported in the show
            version output.
          example: Reset Requested by CLI command reload
          type: string
        resetType:
          default: ''
          description: 'Type of event that occurred: "crash" or "reload"'
          example: reset
          maxLength: 5
          type: string
        softwareType:
          default: ''
          description: The Type of Software running on the device. Common values include
            IOS, IOS XR, IOS-XE, NX-OS, etc.
          example: IOS-XR
          type: string
        softwareVersion:
          default: ''
          description: The installed software version.
          example: 15.1(4)M4
          type: string
      type: object
    orderableproductid:
      properties:
        itemDescription:
          default: ''
          description: Orderable product description for the specified serial number.
          example: 10GBASE-SR SFP Module
          maxLength: 123
          type: string
        itemPosition:
          default: ''
          description: Orderable product position for the specified serial number.
          example: S
          maxLength: 20
          type: string
        itemType:
          default: ''
          description: Orderable product type for the specified serial number.
          example: CARD
          maxLength: 20
          type: string
        orderableProductId:
          default: ''
          description: Orderable product identifier for the specified serial number.
          example: SFP-10G-SR=
          maxLength: 20
          type: string
        pillarCode:
          default: ''
          description: 'Specifies the contract service line for the item specified
            by orderable_pid; one of the following values: - 1 = TAC Support- 2 =
            Hardware replacement - 3 = Software Support- A single service line can
            be associated to multiple pillars.'
          example: 1,2,3
          maxLength: 20
          type: string
      type: object
    pageOfAssets:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Asset'
          type: array
      type: object
    pageOfCBPSummary:
      properties:
        items:
          items:
            $ref: '#/components/schemas/CBPSummary'
          type: array
      type: object
    pageOfCollectors:
      properties:
        items:
          items:
            $ref: '#/components/schemas/collectorModel'
          type: array
      type: object
    pageOfCompliance:
      properties:
        items:
          items:
            $ref: '#/components/schemas/complianceModel'
          type: array
      type: object
    pageOfDetails:
      properties:
        items:
          items:
            $ref: '#/components/schemas/CBPDetails'
          type: array
      type: object
    pageOfDevices:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Device'
          type: array
      type: object
    pageOfFieldNoticeBulletins:
      properties:
        items:
          items:
            $ref: '#/components/schemas/FNBulletins'
          type: array
      type: object
    pageOfFieldNotices:
      properties:
        items:
          items:
            $ref: '#/components/schemas/fieldNotices'
          type: array
      type: object
    pageOfHardwareEndOfLife:
      properties:
        items:
          items:
            $ref: '#/components/schemas/HWEOX'
          type: array
      type: object
    pageOfHardwareEndOfLifeBulletins:
      properties:
        items:
          items:
            $ref: '#/components/schemas/HWEOXBulletins'
          type: array
      type: object
    pageOfMembers:
      properties:
        items:
          items:
            $ref: '#/components/schemas/trackMembersModel'
          type: array
      type: object
    pageOfPINDetails:
      properties:
        items:
          items:
            $ref: '#/components/schemas/pinDetail'
          type: array
      type: object
    pageOfRecommendations:
      properties:
        items:
          items:
            $ref: '#/components/schemas/recommendationsModel'
          type: array
      type: object
    pageOfRiskMitigationDetails:
      properties:
        items:
          items:
            $ref: '#/components/schemas/riskMitigationDetails'
          type: array
      type: object
    pageOfRiskMitigationSummary:
      properties:
        items:
          items:
            $ref: '#/components/schemas/riskMitigationSummary'
          type: array
      type: object
    pageOfRules:
      properties:
        items:
          items:
            $ref: '#/components/schemas/CBPRules'
          type: array
      type: object
    pageOfRulesReferences:
      properties:
        items:
          items:
            $ref: '#/components/schemas/CBPRulesReferences'
          type: array
      type: object
    pageOfSecurityAdvisory:
      properties:
        items:
          items:
            $ref: '#/components/schemas/securityAdvisories'
          type: array
      type: object
    pageOfSecurityAdvisoryBulletins:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PSIRTBulletins'
          type: array
      type: object
    pageOfSerials:
      properties:
        items:
          items:
            $ref: '#/components/schemas/serialNumberDetails'
          type: array
      type: object
    pageOfSoftwareAlerts:
      properties:
        items:
          items:
            $ref: '#/components/schemas/softwareAlerts'
          type: array
      type: object
    pageOfSoftwareEndOfLife:
      properties:
        items:
          items:
            $ref: '#/components/schemas/softwareEOX'
          type: array
      type: object
    pageOfSoftwareEndOfLifeBulletins:
      properties:
        items:
          items:
            $ref: '#/components/schemas/SWEOXBulletins'
          type: array
      type: object
    pageOfSummary:
      properties:
        items:
          items:
            $ref: '#/components/schemas/summaryModel'
          type: array
      type: object
    pageOfUnidentifiedInventoryDetails:
      properties:
        items:
          items:
            $ref: '#/components/schemas/unidentifiedInventoryDetails'
          type: array
      type: object
    pinDetail:
      properties:
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        deviceName:
          default: ''
          description: The Network Element Name of the device.
          example: router%
          type: string
        predictedImportance:
          default: ''
          description: Evaluate running features on customer equipment and weight
            the importance of devices based on running features. An SME walk of global
            feature data to determine "important" features was performed. Feature
            information is fed from Mimir for all devices for a company key. Devices
            are then weighted and ranked based on their operating system type and
            significant features. Categories of "low", "medium", "high", and "critical"
            are used to equate importance to the device.
          example: Medium
          type: string
        predictedRole:
          default: ''
          description: Create on-the-fly supervised Random Forest models from extracted
            configurations. Categorize devices based on user specified roles from
            configuration and feature information by predicting against the training
            data.
          example: Core
          type: string
      type: object
    recommendationsModel:
      properties:
        softwareName:
          default: ''
          description: The name of the software running on the network element. For
            System SW, the value is the Image Name. For Package Installation Envelope
            (PIE) it is the package name and for Software Maintenance Update (SMU)
            the SMU name.
          example: asr9k-p-4.2.3.CSCtz41749-1.0.0
          type: string
        softwareRole:
          default: ''
          description: The role of the Software running on the Network Element. Values
            include SYSTEM, PKG, and SMU.
          example: SMU
          type: string
        softwareTrackId:
          description: The unique identifier of the software track.
          example: 339536
          type: integer
        softwareTrackName:
          default: ''
          description: The Software Track Name.
          example: IOX-XE
          type: string
        softwareTrackRecommendationHistory:
          default: ''
          description: 'This field indicates recommendation history value of the track
            Software Maintenance Updates (SMUs) / Package Installation Envelopes (PIEs):  -
            "Current" is for the standard recommendation and should be used in most
            cases.  - "Previous1" is for the previous recommendation. "Previous2"
            is for the 2nd previous recommendation.  - "Candidate" is for the future
            candidate recommendation.'
          example: Current
          type: string
      type: object
    resetHistoryModel:
      properties:
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        deviceIp:
          default: ''
          description: The management IP address of the device.
          example: 172.21.1.1
          type: string
        deviceName:
          default: ''
          description: The Network Element Name of the device.
          example: router%
          type: string
        productFamily:
          default: ''
          description: The Cisco Product Family of the hardware.
          example: Cisco Catalyst 3560-E Series Switches
          type: string
        productId:
          default: ''
          description: The Cisco Product ID (PID) of the hardware.
          example: NCS-5501
          type: string
        resetDetails:
          properties: {}
          type: object
      type: object
    riskMitigationDetails:
      properties:
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        deviceIp:
          default: ''
          description: The management IP address of the device.
          example: 172.21.1.1
          type: string
        deviceName:
          default: ''
          description: The Network Element Name of the device.
          example: router%
          type: string
        productFamily:
          default: ''
          description: The Cisco Product Family of the hardware.
          example: Cisco Catalyst 3560-E Series Switches
          type: string
        productId:
          default: ''
          description: The Cisco Product ID (PID) of the hardware.
          example: NCS-5501
          type: string
        riskCategory:
          default: ''
          description: Category of the predicted risk. Possible values are High, Medium
            and Low
          example: Medium
          maxLength: 100
          type: string
        riskScore:
          description: Risk score
          example: 26.13
          type: number
        softwareType:
          default: ''
          description: The Type of Software running on the device. Common values include
            IOS, IOS XR, IOS-XE, NX-OS, etc.
          example: IOS-XR
          type: string
        softwareVersion:
          default: ''
          description: The installed software version.
          example: 15.1(4)M4
          type: string
      type: object
    riskMitigationSummary:
      properties:
        highRiskDeviceCount:
          description: Count of devices with high predicted risk of crash
          example: 4
          type: integer
        lowRiskDeviceCount:
          description: Count of devices with low predicted risk of crash
          example: 2
          type: integer
        mediumRiskDeviceCount:
          description: Count of devices with medium predicted risk of crash
          example: 6
          type: integer
        productFamily:
          default: ''
          description: The Cisco Product Family of the hardware.
          example: Cisco Catalyst 3560-E Series Switches
          type: string
      type: object
    securityAdvisories:
      properties:
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        matchConfidence:
          default: ''
          description: 'The outcome whether or not this device is vulnerable to the
            Security Advisory. Possible values are: "Vulnerable", "Potentially Vulnerable"
            or "Not Vulnerable".'
          example: Not Vulnerable
          type: string
        matchConfidenceReason:
          default: ''
          description: 'The reason behind the match confidence result: explains why
            the device is vulnerable, not vulnerable or what data is missing causing
            a potentially vulnerable result.'
          example: No Match on SW Version; Match on SW Type
          type: string
        securityAdvisoryColdId:
          description: The unique identifier of the Security Advisory.
          example: 1645
          type: integer
      type: object
    serialNumberDetails:
      properties:
        baseProductIdList:
          items:
            $ref: '#/components/schemas/contractBasePID'
          type: array
        contractSiteAddress:
          default: ''
          description: Address field for the contract install site.
          example: 170 WEST TASMAN DR.
          maxLength: 100
          type: string
        contractSiteCity:
          default: ''
          description: City field for the contract install site.
          example: SAN JOSE.
          maxLength: 20
          type: string
        contractSiteCountry:
          default: ''
          description: Country field for the contract install site.
          example: US.
          maxLength: 20
          type: string
        contractSiteCustomerName:
          default: ''
          description: Customer name associated to the contract install site.
          example: CISCO SYSTEMS, INC.
          maxLength: 100
          type: string
        contractSiteStateProvince:
          default: ''
          description: State field for the contract install site.
          example: CA.
          maxLength: 20
          type: string
        coveredProductLineEndDate:
          description: 'End date of the covered product line in the following format:
            YYYY-MM-DD.'
          example: '2025-01-01'
          format: date
          type: string
        isCovered:
          default: false
          description: 'Indicates whether the specified serial number is covered by
            a service contract; one of the following values: True or False. If the
            serial number is covered by a service contract, the value is True.'
          example: true
          type: boolean
        orderableProductIdList:
          items:
            $ref: '#/components/schemas/orderableproductid'
          type: array
        parentSerialNumber:
          default: ''
          description: Parent serial number. The value of parent serial number will
            be the same as the value for serial number if the item is a MAJOR item.
          example: FCH1234V1AM
          maxLength: 40
          type: string
        serialNumber:
          default: ''
          description: The serial number of the hardware.
          example: IMC1932004M
          type: string
        serviceContractNumber:
          default: ''
          description: Service contract number
          example: 1234567, 2345678
          maxLength: 200
          type: string
        serviceLineDescription:
          default: ''
          description: Description of the service type
          example: SMARTnet 24x7x4
          maxLength: 20
          type: string
        warrantyEndDate:
          description: 'End date of the warranty for the specified serial number in
            the following format: YYYY-MM-DD'
          example: '2022-01-01'
          format: date
          type: string
        warrantyType:
          default: ''
          description: Warranty service type
          example: WARR-3YR-HW-90D-SW.
          maxLength: 20
          type: string
        warrantyTypeDescription:
          default: ''
          description: Link to the description of the warranty type.
          example: http://www.cisco.com/go/warranty
          maxLength: 100
          type: string
      type: object
    softwareAlerts:
      properties:
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        deviceName:
          default: ''
          description: The Network Element Name of the device.
          example: router%
          type: string
        imageName:
          default: ''
          description: The Image Name of the software on the Network Element.
          example: C3560-IPBASE-M
          type: string
        softwareAlertType:
          default: ''
          description: The type of Software Alert on the device. Valid values include
            SA for Software Advisory and DF for Deferral.
          example: DF
          type: string
        softwareAlertUrl:
          default: ''
          description: The Cisco.com URL with details for a specific software advisory
            or deferral.
          example: http://www.cisco.com/web/software/DefTracker/280805679/DT/ac102516.html
          type: string
        softwareType:
          default: ''
          description: The Type of Software running on the device. Common values include
            IOS, IOS XR, IOS-XE, NX-OS, etc.
          example: IOS-XR
          type: string
        softwareVersion:
          default: ''
          description: The installed software version.
          example: 15.1(4)M4
          type: string
      type: object
    softwareEOX:
      properties:
        currentEndOfLifeMilestone:
          default: ''
          description: The current end-of-life milestone as calculated during the
            last profiling. If more than one milestone falls on the same date, the
            returned value will be a comma-separated list.
          example: EoSale
          type: string
        currentEndOfLifeMilestoneDate:
          description: The date associated with the current end-of-life milestone.
          example: '2021-04-15'
          format: date
          type: string
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        deviceName:
          default: ''
          description: The Network Element Name of the device.
          example: router%
          type: string
        nextEndOfLifeMilestone:
          default: ''
          description: The next end-of-life milestone that is coming up as calculated
            during the last profiling. If more than one milestone falls on the same
            date, the returned value will be a comma-separated list. If the device
            is already past Last Day of Support (LDoS) it will not have a next milestone.
          example: LDoS
          type: string
        nextEndOfLifeMilestoneDate:
          description: The date associated with the next end-of-life milestone.
          example: '2023-01-16'
          format: date
          type: string
        softwareEndOfLifeId:
          description: Unique identifier of the software end-of-life milestone.
          example: 1152
          type: integer
        softwareType:
          default: ''
          description: The Type of Software running on the device. Common values include
            IOS, IOS XR, IOS-XE, NX-OS, etc.
          example: IOS-XR
          type: string
        softwareVersion:
          default: ''
          description: The installed software version.
          example: 15.1(4)M4
          type: string
      type: object
    summaryModel:
      properties:
        softwareTrackCandidateVersion:
          default: ''
          description: The candidate/future recommended standard version for the Software
            Track.
          example: 8.0(3)I4(6)
          type: string
        softwareTrackComments:
          default: ''
          description: Software Track recommendation and planning comments.
          example: Software Track comments
          type: string
        softwareTrackCompliancePercent:
          description: The percent of devices running the standard recommended version.Formula
            is trackCompliantDevices/trackTotalDevices.
          example: 90.5
          type: number
        softwareTrackCompliantDeviceCount:
          description: Total number of devices in the Software Track that are running
            the standard recommended version.
          example: 10
          type: integer
        softwareTrackDescription:
          default: ''
          description: Software Track Description.
          example: Cisco Nexus 3000/9000 Series Switches
          type: string
        softwareTrackFlexibleCompliancePercent:
          description: The percent of devices running the standard recommended version
            or one of the two previous recommended versions. Formula is (trackCompliantDevices+trackPrevCompliantDevices)/trackTotalDevices.
          example: 95.5
          type: number
        softwareTrackId:
          description: The unique identifier of the software track.
          example: 339536
          type: integer
        softwareTrackLastModifiedDate:
          description: The date when the software track was last edited or modified.
          example: '2021-10-26'
          format: date
          type: string
        softwareTrackName:
          default: ''
          description: The Software Track Name.
          example: IOX-XE
          type: string
        softwareTrackNonCompliantDeviceCount:
          description: Total number of devices in the Software Track that are not
            running the standard recommended version.
          example: 10
          type: integer
        softwareTrackPrevious1PackageInstallationEnvelopeCriteria:
          default: ''
          description: 'The Package Installation Envelope (PIE) matching criteria
            for the previous standard version for the Software Track. Valid values
            include: Require Exact Match, Ignore For Conformance, Match but ignore
            extras.'
          example: Require Exact Match
          type: string
        softwareTrackPrevious1SoftwareMaintenanceUpdateCriteria:
          default: ''
          description: 'The Software Maintenance Update (SMU) matching criteria for
            the previous standard version for the Software Track. Valid values include:
            Require Exact Match, Ignore For Conformance, and Match but ignore extras.'
          example: Require Exact Match
          type: string
        softwareTrackPrevious2PackageInstallationEnvelopeCriteria:
          default: ''
          description: 'The Package Installation Envelope (PIE) matching criteria
            for the second previous standard version for the Software Track. Valid
            values include: Require Exact Match, Ignore For Conformance, and Match
            but ignore extras.'
          example: Require Exact Match
          type: string
        softwareTrackPrevious2SoftwareMaintenanceUpdateCriteria:
          default: ''
          description: 'The Software Maintenance Update (SMU) matching criteria for
            the second previous standard version for the Software Track. Valid values
            include: Require Exact Match, Ignore For Conformance, and Match but ignore
            extras.'
          example: Require Exact Match
          type: string
        softwareTrackPreviousCompliantDeviceCount:
          description: Total number of devices in the Software Track that are running
            one of the two previous recommended versions.
          example: 10
          type: integer
        softwareTrackPreviousVersion1:
          default: ''
          description: The previous recommended standard version for the Software
            Track.
          example: 7.0(3)I4(6)
          type: string
        softwareTrackPreviousVersion2:
          default: ''
          description: The second previous recommended standard version for the Software
            Track.
          example: 6.0(2)U1(2)
          type: string
        softwareTrackRating:
          default: ''
          description: The rating of the track compliance. Results depend on whether
            account is using Absolute Compliance (default) or Flexible Compliance.
            For Absolute, %Compliant 90 and above is Good, 60-90 is Fair, and below
            60 is Poor. For Flexible, it is the same thresholds, but %FlexibleCompliant
            is used.
          example: ''
          type: string
        softwareTrackRecommendationDate:
          description: The date when the last software recommendation was made. This
            is manually set by the user in the Software Track. This is used to measure
            the age of the recommendation.
          example: '2021-09-01'
          format: date
          type: string
        softwareTrackSoftwareMaintenanceUpdateCompliancePercent:
          description: The overall compliance percentage of the devices to the recommended
            Software Maintenance Update (SMU) list. Extra SMUs are ignored for the
            calculation.
          example: 34.5455
          type: number
        softwareTrackStandardPackageInstallationEnvelopeCriteria:
          default: ''
          description: 'The Package Installation Envelope (PIE) matching criteria
            for the recommended standard version for the Software Track. Valid values
            include: Require Exact Match, Ignore For Conformance, and Match but ignore
            extras.'
          example: Require Exact Match
          type: string
        softwareTrackStandardSoftwareMaintenanceUpdateCount:
          description: The number of Software Maintenance Updates (SMUs) in the Standard
            Recommendation for the track.
          example: 0
          type: integer
        softwareTrackStandardSoftwareMaintenanceUpdateCriteria:
          default: ''
          description: 'The Software Maintenance Update (SMU) matching criteria for
            the recommended standard version for the Software Track. Valid values
            include:  Require Exact Match, Ignore For Conformance, and Match but ignore
            extras.'
          example: Require Exact Match
          type: string
        softwareTrackStandardVersion:
          default: ''
          description: The current recommended standard version for the Software Track.
          example: 3.2(2l)
          type: string
        softwareTrackStatus:
          default: ''
          description: The status of the code deployment, as defined in the Software
            Track. Values include Fully Deployed, In Migration, etc.
          example: Fully Deployed
          type: string
        softwareTrackTotalDeviceCount:
          description: Total number of devices in the Software Track.
          example: 10
          type: integer
        softwareTrackTotalVersionCount:
          description: Total number of unique software versions in the Software Track.
          example: 1
          type: integer
        softwareTrackUpgradeReason:
          default: ''
          description: The reason for the last change in software recommendation as
            defined in the software track.Values include New Software Implementation,
            Planned Maintenance, etc.
          example: New Software Implementation
          type: string
        softwareType:
          default: ''
          description: The Type of Software running on the device. Common values include
            IOS, IOS XR, IOS-XE, NX-OS, etc.
          example: IOS-XR
          type: string
      type: object
    syslogDailyModel:
      properties:
        date:
          description: Date of insertion.
          example: '2010-01-01'
          format: date
          type: string
        description:
          default: ''
          description: The description of the signature
          example: 'The TACACS+ server switchover has failed.


            '
          type: string
        devices:
          items:
            $ref: '#/components/schemas/devices'
          type: array
        messageType:
          default: ''
          description: The syslog message type
          example: AAA-4-TPLUS_SWITCHOVER_FAILED
          type: string
        recommendation:
          default: ''
          description: The recommended action to take to solve or mitigate the issue
            detected by the signature
          example: Verify the necessary configuration needed for switchover. Reach
            out to TAC for more support
          type: string
        reviewedSeverity:
          description: The severity of the signature
          example: 4
          type: integer
        syslogEventSeverity:
          description: The syslog message severity
          example: 4
          type: integer
        timestamp:
          description: DateTime when the feedback was provided
          format: date-time
          type: string
        totalEventCount:
          description: The number of times the signature was identified across all
            devices
          example: 10
          type: integer
      type: object
    trackMembersModel:
      properties:
        deviceId:
          description: The unique identifier for a device.
          example: 22345640
          type: integer
        isSoftwareTrackCompliant:
          description: Returns whether the device is compliant to the track standard
            recommended version.
          example: true
          type: boolean
        isSoftwareTrackFlexibleCompliant:
          description: Returns whether the device is compliant to the standard version
            or one of the track's previous two recommended versions.
          example: false
          type: boolean
        isSoftwareTrackPreviousCompliant:
          description: Returns whether the device is compliant to one of the track's
            previous two recommended versions.
          example: false
          type: boolean
        softwareTrackId:
          description: The unique identifier of the software track.
          example: 339536
          type: integer
        softwareTrackName:
          default: ''
          description: The Software Track Name.
          example: IOX-XE
          type: string
        softwareTrackPackageInstallationEnvelopeCompliance:
          default: ''
          description: 'The status of Package Installation Envelope (PIE) conformance
            for the device. Valid values include: Conforming, Conforming With Extras,
            Non Conforming, Ignored for Conformance, and N/A - OS Version Non Conforming.'
          example: Conforming
          type: string
        softwareTrackSoftwareMaintenanceUpdateCompliance:
          default: ''
          description: 'The status of the Software Maintenance Upgrade (SMU) conformance
            for the device. Valid values include: Conforming, Conforming With Extras,
            Non Conforming, Ignored for Conformance, and N/A - OS Version Non Conforming.'
          example: Conforming
          type: string
        softwareTrackSoftwareMaintenanceUpdateCompliantCount:
          description: The number of Software Maintenance Upgrades (SMUs) on the device
            that are compliant to the standard recommended SMU list in the track.
          example: 1
          type: integer
        softwareTrackSoftwareMaintenanceUpdateExtraCount:
          description: 'The number of Software Maintenance Upgrades (SMUs) on the
            device that are extra: these SMUs are in addition to the standard recommended
            SMU list in the track.'
          example: 0
          type: integer
        softwareTrackSoftwareMaintenanceUpdateMissingCount:
          description: The number of Software Maintenance Upgrades (SMUs) on the device
            that are missing and need to be added to match the standard recommended
            SMU list in the track.
          example: 0
          type: integer
        softwareTrackStandardSoftwareMaintenanceUpdateCount:
          description: The number of Software Maintenance Updates (SMUs) in the Standard
            Recommendation for the track.
          example: 0
          type: integer
      type: object
    unidentifiedInventoryDetails:
      properties:
        collectorName:
          default: ''
          description: The collector identifier, which can be either a 4four-character
            collectorId or the applianceId.
          example: bcs1
          type: string
        lastUpdatedTimestamp:
          description: The timestamp when the data or rule was last updated.
          format: date-time
          type: string
        seenByManagedDeviceName:
          default: ''
          description: The managed device names that reported the missing device.
            Limited to first 4000 characters.
          example: 10.1.27.250
          type: string
        unidentifiedDeviceIpAddress:
          default: ''
          description: The IP Address of the missing device as reported by CDP/Configuration.
          example: 10.201.23.128
          type: string
        unidentifiedDeviceName:
          default: ''
          description: The name of the missing device as reported by CDP/Syslog or
            the IP Address as reported by the Configuration/Syslog.
          example: N5K-4
          type: string
        unidentifiedDevicePlatform:
          default: ''
          description: The hardware platform of the Unidentified Inventory device
            as reported by CDP.
          example: N9K-C9372PX
          type: string
        unidentifiedDeviceScore:
          description: A high score represents a device seen by more managed devices
            and is more likely to be a critical/core device. Score can be one way
            to prioritize which Unidentified Inventory devices are most important
            to get into a collector seedfile.
          example: 1
          type: integer
        unidentifiedDeviceSource:
          default: ''
          description: The source of the Unidentified Inventory device. Valid values
            include CDP, Config-Subnet, Config-Protocol, and SYSLOG. If the device
            is seen by more than one source, the source string will include a comma-separated
            list. A wildcard can be used to find all occurrences (for example, %CDP%
            to get all CDP sourced Unidentified Inventory devices).
          example: ' CDP'
          type: string
        unidentifiedDeviceStatus:
          default: ''
          description: The status of the Unidentified Inventory device. Valid values
            include New (seen for first time), Recurring (seen for second or more
            times), Newly Managed (no longer seen because now in a collector), Deleted
            (no longer seen).
          example: Recurring
          type: string
      type: object
    unidentifiedInventorySummary:
      properties:
        cdpSourcedUnidentifiedDeviceCount:
          description: The total number of Unidentified Inventory devices that were
            found from CDP.
          example: 270
          type: integer
        configProtocolSourcedUnidentifiedDeviceCount:
          description: The total number of Unidentified Inventory devices that were
            found from looking at configuration protocol neighbors.
          example: 0
          type: integer
        configSubnetSourcedUnidentifiedDeviceCount:
          description: The total number of Unidentified Inventory devices that were
            found from looking at configuration subnets.
          example: 24
          type: integer
        deletedUnidentifiedDeviceCount:
          description: The total number of devices that previously were Unidentified
            Inventory devices but are no longer seen in the latest profile and are
            not in any collectors (i.e. these Unidentified Inventory devices are gone
            from the customer network).
          example: 29
          type: integer
        lastUpdatedTimestamp:
          description: The timestamp when the data or rule was last updated.
          format: date-time
          type: string
        newUnidentifiedDeviceCount:
          description: The total number of Unidentified Inventory devices found for
            the first time during the last profiling.
          example: 52
          type: integer
        newlyManagedUnidentifiedDeviceCount:
          description: The total number of devices that previously were Unidentified
            Inventory devices but are no longer seen in the latest profile because
            they are now in one of the collectors.
          example: 25
          type: integer
        recurringUnidentifiedDeviceCount:
          description: The total number of Unidentified Inventory devices found in
            the last profiling that were also seen in a previous profile.
          example: 243
          type: integer
        syslogSourcedUnidentifiedDeviceCount:
          description: The total number of Unidentified Inventory devices that were
            found from Syslog.
          example: 1
          type: integer
        unidentifiedDeviceCount:
          description: The total number of Unidentified Inventory devices.
          example: 295
          type: integer
      type: object
info:
  title: Business Critical Services Operational Insights API
  version: '2.0'
openapi: 3.0.1
paths:
  /collectors:
    get:
      description: List the collectors with their details.
      operationId: get_collectors
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                             separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier of the collector appliance.
        explode: true
        in: query
        name: applianceId
        schema:
          items:
            type: string
          type: array
        style: form
      - description: Collector status.
        explode: true
        in: query
        name: collectorStatus
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfCollectors'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - collectors
  /collectors/{applianceId}:
    get:
      description: List the collectors with their details for a specific appliance
        Id
      operationId: get_collectors_by_id
      parameters:
      - description: The unique identifier of the collector appliance
        in: path
        name: applianceId
        required: true
        schema:
          type: string
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/collectorModel'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - collectors
  /configBestPractices/details:
    get:
      description: Lists the mapping between a Configuration Best Practice Rule and
        the device to which it is applicable.
      operationId: get_details
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier of the Configuration Best Practice rule.
          Value should be                                an string
        explode: true
        in: query
        name: bestPracticeRuleId
        schema:
          items:
            type: string
          type: array
        style: form
      - description: The unique identifier for a device. Value should be an integer
        explode: true
        in: query
        name: deviceId
        schema:
          items:
            type: integer
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfDetails'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - configurationBestPractices
  /configBestPractices/rules:
    get:
      description: Lists all the Configuration Best Practice Rules with their details.
      operationId: get_rules
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier of the Configuration Best Practice rule.
          Value should be                                an string
        explode: true
        in: query
        name: bestPracticeRuleId
        schema:
          items:
            type: string
          type: array
        style: form
      - description: 'The Risk associated with a Configuration Best Practice rule.
          Valid values                                      include: High, Medium,
          Low.'
        explode: true
        in: query
        name: bestPracticeRisk
        schema:
          enum:
          - High
          - Medium
          - Low
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfRules'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - configurationBestPractices
  /configBestPractices/rules/{bestPracticeRuleId}:
    get:
      description: Lists all the Configuration Best Practice Rules with their details
        for a specific rule Id
      operationId: get_rules_by_id
      parameters:
      - description: The unique identifier of the Configuration Best Practice rule
        in: path
        name: bestPracticeRuleId
        required: true
        schema:
          type: string
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CBPRules'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - configurationBestPractices
  /configBestPractices/rulesReferences:
    get:
      description: Lists documentation references for the Configuration Best Practice
        Rules.
      operationId: get_rules_ref
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier of the Configuration Best Practice rule.
          Value should be                                an string
        explode: true
        in: query
        name: bestPracticeRuleId
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfRulesReferences'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - configurationBestPractices
  /configBestPractices/rulesReferences/{bestPracticeRuleId}:
    get:
      description: Lists documentation references for the Configuration Best Practice
        Rules of a specific rule Id
      operationId: get_rules_ref_by_id
      parameters:
      - description: The unique identifier of the Configuration Best Practice rule
        in: path
        name: bestPracticeRuleId
        required: true
        schema:
          type: string
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CBPRulesReferences'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - configurationBestPractices
  /configBestPractices/summary:
    get:
      description: Lists an aggregation of the Configuration Best Practice Rules and
        number of devices this rule was applicable to.
      operationId: get_summary
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier of the Configuration Best Practice rule.
          Value should be                                an string
        explode: true
        in: query
        name: bestPracticeRuleId
        schema:
          items:
            type: string
          type: array
        style: form
      - description: 'The Risk associated with a Configuration Best Practice rule.
          Valid values                                      include: High, Medium,
          Low.'
        explode: true
        in: query
        name: bestPracticeRisk
        schema:
          enum:
          - High
          - Medium
          - Low
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfCBPSummary'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - configurationBestPractices
  /configBestPractices/summary/{bestPracticeRuleId}:
    get:
      description: Lists an aggregation of the Configuration Best Practice Rules and
        number of devices this specific rule was applicable to.
      operationId: get_summary_by_id
      parameters:
      - description: The unique identifier of the Configuration Best Practice rule
        in: path
        name: bestPracticeRuleId
        required: true
        schema:
          type: string
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CBPSummary'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - configurationBestPractices
  /contract/serials:
    get:
      description: Lists contract information for each serial number.
      operationId: get_serials
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: "Indicates whether the specified serial number is covered by\
          \ a service contract, \n                           one of the following\
          \ values: True or False. If the serial number is covered by a service  \
          \                          contract, the value is True."
        explode: true
        in: query
        name: isCovered
        schema:
          enum:
          - 'true'
          - 'false'
          items:
            type: boolean
          type: array
        style: form
      - description: Parent serial number. The value of parent serial number will
          be the same as the                            value for serial number if
          the item is a MAJOR item.
        explode: true
        in: query
        name: serialNumber
        schema:
          items:
            type: string
          type: array
        style: form
      - description: Start date value of the date range to filter the records on the
          'warrantyEndDate' attribute in 'YYYY-MM-DD' format. If the endWarrantyEndDate
          is not specified, all records past the given start date will be returned.
        in: query
        name: startWarrantyEndDate
        schema:
          type: string
      - description: End date value of the date range to filter the records on the
          'warrantyEndDate' attribute in 'YYYY-MM-DD' format. If the startWarrantyEndDate
          is not specified, all records till the given end date will be returned.
        in: query
        name: endWarrantyEndDate
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfSerials'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - contract
  /contract/serials/{serialNumber}:
    get:
      description: Lists contract information for a specific serial number.
      operationId: get_serials_by_id
      parameters:
      - description: The serial number of the hardware
        in: path
        name: serialNumber
        required: true
        schema:
          type: string
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/serialNumberDetails'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - contract
  /deviceGroups/groupMembers:
    get:
      description: Lists the device members of each logical device group.
      operationId: get_device_group_members
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma separated field names. Example: deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/groupMembers'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - deviceGroups
  /deviceGroups/groups:
    get:
      description: Lists the logical device groups and their details.
      operationId: get_device_groups
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma separated field names. Example: deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/groups'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - deviceGroups
  /deviceReset/lastResetDetails:
    get:
      description: Lists the last resets per device and details about the reset.
      operationId: get_device_latest_reset
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: Days to look backward when fetching the data. If days is not
          specified then default value is 365
        in: query
        name: days
        schema:
          type: integer
      - description: Type of reset. The allowed values are "crash" and "reload". If
          not specified then data for both reload and crash are shown
        in: query
        name: type
        schema:
          type: string
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use                                      comma separated field names.
          Example: deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier for a device. Value should be an integer
        explode: true
        in: query
        name: deviceId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The Cisco Product ID (PID) of the hardware.
        explode: true
        in: query
        name: productId
        schema:
          items:
            type: string
          type: array
        style: form
      - description: Start date value of the date range to filter the records on the
          'lastResetTimestamp' attribute in 'YYYY-MM-DDTHH:MM:SS' format. If the endLastResetTimestamp
          is not specified, all records past the given start date will be returned.
        in: query
        name: startLastResetTimestamp
        schema:
          type: string
      - description: End date value of the date range to filter the records on the
          'lastResetTimestamp' attribute in 'YYYY-MM-DDTHH:MM:SS' format. If the startLastResetTimestamp
          is not specified, all records till the given end date will be returned.
        in: query
        name: endLastResetTimestamp
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/latestResetModel'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - deviceReset
  /deviceReset/lastResetDetails/{deviceId}:
    get:
      description: Lists the last resets per device and details about the reset.
      operationId: get_device_latest_reset_by_id
      parameters:
      - description: An unique ID for a device
        in: path
        name: deviceId
        required: true
        schema:
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use                                   comma separated field names.
          Example: deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/latestResetModel'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - deviceReset
  /deviceReset/resetCount:
    get:
      description: Aggregate overview count of crashes and reloads.
      operationId: get_crash_reload_count
      parameters:
      - description: The number of days to show the data for
        in: query
        name: days
        schema:
          default: 365
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use                                   comma separated field names.
          Example: deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content: {}
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - deviceReset
  /deviceReset/resetHistory:
    get:
      description: Lists all the known resets per device.
      operationId: get_device_reset_history
      parameters:
      - description: The type of reset, either a "crash" or a "reload"
        in: query
        name: type
        schema:
          type: string
      - description: The number of days to show the data for
        in: query
        name: days
        schema:
          default: 365
          type: integer
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use                                     comma separated field names.
          Example: deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier for a device. Value should be an integer
        explode: true
        in: query
        name: deviceId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The Cisco Product ID (PID) of the hardware.
        explode: true
        in: query
        name: productId
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/resetHistoryModel'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - deviceReset
  /deviceReset/resetHistory/{deviceId}:
    get:
      description: Lists reset history info for a specific device.
      operationId: get_device_reset_history_by_id
      parameters:
      - description: An unique ID for a device
        in: path
        name: deviceId
        required: true
        schema:
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use                                   comma separated field names.
          Example: deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/resetHistoryModel'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - deviceReset
  /inventory/assets:
    get:
      description: Lists asset details for all discovered assets.
      operationId: get_assets
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                                                    separated
          field names. Example: deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier for a device. Value should be an integer
        explode: true
        in: query
        name: deviceId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The unique identifier for the hardware.
        explode: true
        in: query
        name: physicalAssetId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The Cisco Product ID (PID) of the hardware.
        explode: true
        in: query
        name: productId
        schema:
          items:
            type: string
          type: array
        style: form
      - description: 'The validation status of the Serial Number (SN) of the hardware:
          - VALID means the SN was found in Cisco Manufacturing or Contract Database.
          - INVALID means the SN was not found in either of those databases. - UNKNOWN
          means the SN validation has been completed. - N/A means the SN is null,
          so validation is not applicable.'
        explode: true
        in: query
        name: serialNumberStatus
        schema:
          enum:
          - VALID
          - INVALID
          - UNKNOWN
          - N/A
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfAssets'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - inventory
    head:
      description: Lists asset details for all discovered assets.
      operationId: head_assets
      responses:
        '200':
          content:
            application/json:
              schema:
                type: integer
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - inventory
  /inventory/assets/{physicalAssetId}:
    get:
      description: Lists asset details for a specific asset.
      operationId: get_asset_by_id
      parameters:
      - description: An unique ID of a hardware
        in: path
        name: physicalAssetId
        required: true
        schema:
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Asset'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - inventory
  /inventory/devices:
    get:
      description: Lists device details for all discovered devices.
      operationId: get_devices
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                                                    separated
          field names. Example: deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier for a device. Value should be an integer
        explode: true
        in: query
        name: deviceId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The Cisco Product ID (PID) of the hardware.
        explode: true
        in: query
        name: productId
        schema:
          items:
            type: string
          type: array
        style: form
      - description: 'The status of Configuration collection: - Completed means the
          config was successfully collected. - NotAvailable means the config was not
          collected. - NotSupported means the device does not support collection of
          an ASCii config via CLI.'
        explode: true
        in: query
        name: configStatus
        schema:
          enum:
          - Completed
          - NotAvailable
          - NotSupported
          items:
            type: string
          type: array
        style: form
      - description: The status of the device as reported by the collector. Usually
          will be either ACTIVE or DEVICE NOT REACHABLE.
        explode: true
        in: query
        name: deviceStatus
        schema:
          items:
            type: string
          type: array
        style: form
      - description: Indicates whether the device is in a collector seedfile (true)
          or has been logically created by the backend (false).
        explode: true
        in: query
        name: isInSeedFile
        schema:
          items:
            type: boolean
          type: array
        style: form
      - description: 'The status of Inventory collection: - Completed means some SNMP
          inventory was successfully collected. - NotAvailable means SNMP inventory
          was not collected.- NotSupported means the device was not in the collector
          list of devices to be collected.'
        explode: true
        in: query
        name: inventoryStatus
        schema:
          enum:
          - Completed
          - NotAvailable
          - NotSupported
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfDevices'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - inventory
    head:
      description: Lists device details for all discovered devices.
      operationId: head_devices
      responses:
        '200':
          content:
            application/json:
              schema:
                type: integer
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - inventory
  /inventory/devices/{deviceId}:
    get:
      description: Lists device details for a specific device.
      operationId: get_device_by_id
      parameters:
      - description: An unique ID for a device
        in: path
        name: deviceId
        required: true
        schema:
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Device'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - inventory
  /placeInNetwork/details:
    get:
      description: List of devices with role and importance
      operationId: get_pin_details
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma separated field names. Example: deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier for a device.
        explode: true
        in: query
        name: deviceId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: Predicted Importance of the device. Device is predicted/classified
          to be of certain importance based on the number of important features that
          are enabled on a device in comparison to all others. Valid values include
          Critical, High, Medium, Low and Unknown
        explode: true
        in: query
        name: predictedImportance
        schema:
          enum:
          - High
          - Low
          - Medium
          - Unknown
          - Critical
          items:
            type: string
          type: array
        style: form
      - description: Predicted functional role of the device. Device is predicted/classified
          to be a certain role based on the features enabled on the device. Values
          include, but are not limited to, Access, Edge, Core etc.,
        explode: true
        in: query
        name: predictedRole
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfPINDetails'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - placeInNetwork
  /placeInNetwork/details/{deviceId}:
    get:
      description: Lists device details for a specific device.
      operationId: get_pin_details_by_id
      parameters:
      - description: An unique ID for a device
        in: path
        name: deviceId
        required: true
        schema:
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma separated field names. Example: deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pinDetail'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - placeInNetwork
  /productAlerts/fieldNoticeBulletins:
    get:
      description: Lists all known Field Notices with their details.
      operationId: get_fn_bulletins
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: Unique identifier of the Field Notice.
        explode: true
        in: query
        name: fieldNoticeId
        schema:
          items:
            type: string
          type: array
        style: form
      - description: 'The type of the Field Notice. Valid values include: Hardware,                                    Software,
          and other.'
        explode: true
        in: query
        name: fieldNoticeType
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfFieldNoticeBulletins'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - productAlerts
  /productAlerts/fieldNoticeBulletins/{fieldNoticeId}:
    get:
      description: Details of specific field notice
      operationId: get_fn_bulletin_by_id
      parameters:
      - description: The unique identifier of the Field Notice
        in: path
        name: fieldNoticeId
        required: true
        schema:
          type: string
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FNBulletins'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - productAlerts
  /productAlerts/fieldNotices:
    get:
      description: Lists a mapping between all devices and all known field notices
        with information whetherthe device is vulnerable to this advisory.
      operationId: get_fn
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier for a device.
        explode: true
        in: query
        name: deviceId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: Unique identifier of the Field Notice.
        explode: true
        in: query
        name: fieldNoticeId
        schema:
          items:
            type: string
          type: array
        style: form
      - description: "The outcome whether or not this device is vulnerable to the\
          \ Security Advisory. \n                               Possible values are:\
          \ \"Vulnerable\", \"Potentially Vulnerable\" or \"Not Vulnerable\"."
        explode: true
        in: query
        name: matchConfidence
        schema:
          items:
            type: string
          type: array
        style: form
      - description: The unique identifier for the hardware.
        explode: true
        in: query
        name: physicalAssetId
        schema:
          items:
            type: integer
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfFieldNotices'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - productAlerts
  /productAlerts/hardwareEndOfLife:
    get:
      description: Lists hardware End of Life information milestones for devices.
      operationId: get_hweox
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier for a device.
        explode: true
        in: query
        name: deviceId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The unique identifier for the hardware.
        explode: true
        in: query
        name: physicalAssetId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: Unique identifier of the hardware end-of-life milestone.
        explode: true
        in: query
        name: hardwareEndOfLifeId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The Cisco Product ID (PID) of the hardware.
        explode: true
        in: query
        name: productId
        schema:
          items:
            type: string
          type: array
        style: form
      - description: Start date value of the date range to filter the records on the
          'nextEndOfLifeMilestoneDate' attribute in 'YYYY-MM-DD' format. If the endNextEndOfLifeMilestoneDate
          is not specified, all records past the given start date will be returned.
        in: query
        name: startNextEndOfLifeMilestoneDate
        schema:
          type: string
      - description: End date value of the date range to filter the records on the
          'nextEndOfLifeMilestoneDate' attribute in 'YYYY-MM-DD' format. If the startNextEndOfLifeMilestoneDate
          is not specified, all records till the given end date will be returned.
        in: query
        name: endNextEndOfLifeMilestoneDate
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfHardwareEndOfLife'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - productAlerts
  /productAlerts/hardwareEndOfLifeBulletins:
    get:
      description: Lists hardware end-of-life milestones with their details.
      operationId: get_hweox_bulletins
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: Unique identifier of the hardware end-of-life milestone.
        explode: true
        in: query
        name: hardwareEndOfLifeId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The Cisco Product ID (PID) of the hardware.
        explode: true
        in: query
        name: productId
        schema:
          items:
            type: string
          type: array
        style: form
      - description: The Cisco.com bulletin number for an End-of-Life bulletin or                                        Field
          Notice.
        explode: true
        in: query
        name: bulletinNumber
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfHardwareEndOfLifeBulletins'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - productAlerts
  /productAlerts/hardwareEndOfLifeBulletins/{hardwareEndOfLifeId}:
    get:
      description: Lists hardware end-of-life milestones with their detail for a specific
        id.
      operationId: get_hweox_bulletin_by_id
      parameters:
      - description: The unique identifier of hardware end-of-life milestone
        in: path
        name: hardwareEndOfLifeId
        required: true
        schema:
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HWEOXBulletins'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - productAlerts
  /productAlerts/securityAdvisories:
    get:
      description: Lists a mapping between all devices and all known security advisories
        with information whetherthe device is vulnerable to this advisory.
      operationId: get_psirt
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier for a device.
        explode: true
        in: query
        name: deviceId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: "The outcome whether or not this device is vulnerable to the\
          \ Security Advisory. \n                               Possible values are:\
          \ \"Vulnerable\", \"Potentially Vulnerable\" or \"Not Vulnerable\"."
        explode: true
        in: query
        name: matchConfidence
        schema:
          items:
            type: string
          type: array
        style: form
      - description: The unique identifier of the Security Advisory.
        explode: true
        in: query
        name: securityAdvisoryColdId
        schema:
          items:
            type: integer
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfSecurityAdvisory'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - productAlerts
  /productAlerts/securityAdvisoryBulletins:
    get:
      description: Lists all known security advisories with their details.
      operationId: get_psirt_bulletins
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The identifier of a Security Advisory as available on Cisco.com.
        explode: true
        in: query
        name: securityAdvisoryId
        schema:
          items:
            type: string
          type: array
        style: form
      - description: The unique identifier of the Security Advisory.
        explode: true
        in: query
        name: securityAdvisoryColdId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The Security Impact Rating (SIR) for Cisco Security Advisories.
        explode: true
        in: query
        name: securityImpactRating
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfSecurityAdvisoryBulletins'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - productAlerts
  /productAlerts/securityAdvisoryBulletins/{securityAdvisoryColdId}:
    get:
      description: Details of a specific security advisory
      operationId: get_psirt_bulletin_by_id
      parameters:
      - description: The unique identifier of the Security Advisory
        in: path
        name: securityAdvisoryColdId
        required: true
        schema:
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PSIRTBulletins'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - productAlerts
  /productAlerts/softwareAdvisoryAlerts:
    get:
      description: Lists known software alerts for devices.
      operationId: get_sw_alerts
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier for a device.
        explode: true
        in: query
        name: deviceId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The type of Software Alert on the device. Valid values include
          SA for Software                                Advisory and DF for Deferral.
        explode: true
        in: query
        name: softwareAlertType
        schema:
          enum:
          - SA
          - DF
          items:
            type: string
          type: array
        style: form
      - description: The installed software version.
        explode: true
        in: query
        name: softwareVersion
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfSoftwareAlerts'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - productAlerts
  /productAlerts/softwareEndOfLife:
    get:
      description: Lists software End of Life information for devices.
      operationId: get_sweox
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier for a device.
        explode: true
        in: query
        name: deviceId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: Start date value of the date range to filter the records on the
          'nextEndOfLifeMilestoneDate' attribute in 'YYYY-MM-DD' format. If the endNextEndOfLifeMilestoneDate
          is not specified, all records past the given start date will be returned.
        in: query
        name: startNextEndOfLifeMilestoneDate
        schema:
          type: string
      - description: End date value of the date range to filter the records on the
          'nextEndOfLifeMilestoneDate' attribute in 'YYYY-MM-DD' format. If the startNextEndOfLifeMilestoneDate
          is not specified, all records till the given end date will be returned.
        in: query
        name: endNextEndOfLifeMilestoneDate
        schema:
          type: string
      - description: Unique identifier of the software end-of-life milestone.
        explode: true
        in: query
        name: softwareEndOfLifeId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The installed software version.
        explode: true
        in: query
        name: softwareVersion
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfSoftwareEndOfLife'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - productAlerts
  /productAlerts/softwareEndOfLifeBulletins:
    get:
      description: Lists all known software end-of-life milestones with their details.
      operationId: get_sweox_bulletins
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: Unique identifier of the software end-of-life milestone.
        explode: true
        in: query
        name: softwareEndOfLifeId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The Cisco.com bulletin number for an End-of-Life bulletin or                                        Field
          Notice.
        explode: true
        in: query
        name: bulletinNumber
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfSoftwareEndOfLifeBulletins'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - productAlerts
  /productAlerts/softwareEndOfLifeBulletins/{softwareEndOfLifeId}:
    get:
      description: Lists all known software end-of-life milestones with their details
        for a specific id
      operationId: get_sweox_bulletin_by_id
      parameters:
      - description: The unique identifier of software end-of-life milestone
        in: path
        name: softwareEndOfLifeId
        required: true
        schema:
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SWEOXBulletins'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - productAlerts
  /riskMitigation/details:
    get:
      description: Lists risk insights for all devices.
      operationId: get_risk_mitigation_details_endpoint
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier for a device. Value should be an integer
        explode: true
        in: query
        name: deviceId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The Cisco Product ID (PID) of the hardware.
        explode: true
        in: query
        name: productId
        schema:
          items:
            type: string
          type: array
        style: form
      - description: Category of the predicted risk. Possible values are High, Medium
          and Low
        explode: true
        in: query
        name: riskCategory
        schema:
          enum:
          - High
          - Medium
          - Low
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfRiskMitigationDetails'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            ETag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            ETag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - riskMitigation
  /riskMitigation/details/{deviceId}:
    get:
      description: Lists risk insights for a specific deviceId.
      operationId: get_risk_mitigation_details_endpoint_by_id
      parameters:
      - description: An unique ID for a device
        in: path
        name: deviceId
        required: true
        schema:
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/riskMitigationDetails'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - riskMitigation
  /riskMitigation/summary:
    get:
      description: Lists aggregate risk details per product family.
      operationId: get_risk_mitigation_summary_endpoint
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfRiskMitigationSummary'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - riskMitigation
  /riskMitigation/summary/{productFamily}:
    get:
      description: Lists aggregate risk details a specific product family.
      operationId: get_risk_mitigation_summary_endpoint_by_id
      parameters:
      - description: Name of the product family to get risk mitigation summary
        in: path
        name: productFamily
        required: true
        schema:
          type: string
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                       separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/riskMitigationSummary'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - riskMitigation
  /softwareTrack/members:
    get:
      description: device-level conformance details for the current and previous versions.
      operationId: get_tracking_members
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier for a device. Value should be an integer
        explode: true
        in: query
        name: deviceId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: Returns whether the device is compliant to the track standard
          recommended version.
        explode: true
        in: query
        name: isSoftwareTrackCompliant
        schema:
          items:
            type: boolean
          type: array
        style: form
      - description: Returns whether the device is compliant to the standard version                                                     or
          one of the track's previous two recommended versions.
        explode: true
        in: query
        name: isSoftwareTrackFlexibleCompliant
        schema:
          items:
            type: boolean
          type: array
        style: form
      - description: Returns whether the device is compliant to one of the track's                                                     previous
          two recommended versions.
        explode: true
        in: query
        name: isSoftwareTrackPreviousCompliant
        schema:
          items:
            type: boolean
          type: array
        style: form
      - description: The unique identifier of the software track.
        explode: true
        in: query
        name: softwareTrackId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: 'The status of Package Installation Envelope (PIE) conformance
          for the device. Valid values include: Conforming, Conforming With Extras,
          Non Conforming, Ignored for Conformance, and N/A - OS Version Non Conforming.'
        explode: true
        in: query
        name: softwareTrackPackageInstallationEnvelopeCompliance
        schema:
          items:
            type: string
          type: array
        style: form
      - description: 'The status of the Software Maintenance Upgrade (SMU) conformance
          for the device. Valid values include: Conforming, Conforming With Extras,
          Non Conforming,                                    Ignored for Conformance,
          and N/A - OS Version Non Conforming.'
        explode: true
        in: query
        name: softwareTrackSoftwareMaintenanceUpdateCompliance
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfMembers'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - softwareTrack
  /softwareTrack/softwareMaintenanceUpgradeCompliance:
    get:
      description: Lists Software Track Software Maintenance Update (SMU) and Package
        Installation Envelope (PIE) compliance status for each SMU/PIE on the device
        and the actions to be taken against each SMU/PIE on a device to achieve higher
        compliance.
      operationId: get_compliance
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier for a device. Value should be an integer
        explode: true
        in: query
        name: deviceId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The status of the Software Maintenance Update (SMU) or Package
          Installation                                      Envelope (PIE), which
          is either Active or Committed
        explode: true
        in: query
        name: softwareMaintenanceUpdatePackageInstallationEnvelopeType
        schema:
          items:
            type: string
          type: array
        style: form
      - description: 'Action to take for a specific Software Maintenance Update (SMU)/Package                                      Installation
          Envelope (PIE) for a device:                                      - "Add"
          means the SMU/PIE needs to be installed on the device to make it                                      compliant.                                      -
          "Delete" means the SMU/PIE needs to be removed from the device to make it                                      compliant.                                      -
          "None" means no action needs to be taken.'
        explode: true
        in: query
        name: softwareTrackDeviceSoftwareMaintenanceUpdatePIEAction
        schema:
          items:
            type: string
          type: array
        style: form
      - description: 'Compliance status for a specific Software Maintenance Update
          (SMU)/PIE for a device: - "Compliant" means the SMU/PIE matches the recommendation.
          - "Non-Compliant" means the SMU/PIE does not match the recommended list.
          See the action field for steps to take. - "Extra" means the SMU/PIE isn''t
          part of the recommended list, but that is okay - because exact match isn''t
          being used.'
        explode: true
        in: query
        name: softwareTrackDeviceSoftwareMaintenanceUpdatePIECompliance
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfCompliance'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - softwareTrack
  /softwareTrack/softwareMaintenanceUpgradeRecommendations:
    get:
      description: Lists Software Maintenance Update (SMU) or Package Installation
        Envelope (PIE) recommended values defined for each of Current, Previous1,
        and Previous2 versions for applicable tracks.
      operationId: get_recomendations
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The role of the Software running on the Network Element. Values                                          include
          SYSTEM, PKG, and SMU.
        explode: true
        in: query
        name: softwareRole
        schema:
          items:
            type: string
          type: array
        style: form
      - description: The unique identifier of the software track.
        explode: true
        in: query
        name: softwareTrackId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: 'This field indicates recommendation history value of the track
          Software Maintenance Updates (SMUs) Package Installation Envelopes (PIEs):
          - "Current" is for the standard recommendation and should be used in most
          cases. - "Previous1" is for the previous recommendation. "Previous2" is
          for the 2nd previous recommendation. - "Candidate" is for the future candidate
          recommendation.'
        explode: true
        in: query
        name: softwareTrackRecommendationHistory
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfRecommendations'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - softwareTrack
  /softwareTrack/summary:
    get:
      description: Lists software track summary information per software type.
      operationId: get_tracking_summary
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The unique identifier of the software track.
        explode: true
        in: query
        name: softwareTrackId
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The rating of the track compliance. Results depend on whether
          account is using Absolute Compliance (default) or Flexible Compliance. For
          Absolute, %Compliant 90                                    and above is
          Good, 60-90 is Fair, and below 60 is Poor. For Flexible, it is the                                    same
          thresholds, but %FlexibleCompliant is used.
        explode: true
        in: query
        name: softwareTrackRating
        schema:
          items:
            type: string
          type: array
        style: form
      - description: The status of the code deployment, as defined in the Software
          Track. Values                                    include Fully Deployed,
          In Migration, etc.
        explode: true
        in: query
        name: softwareTrackStatus
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfSummary'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - softwareTrack
  /softwareTrack/summary/{softwareTrackId}:
    get:
      description: Lists software track summary information of a specific softwareTrackId.
      operationId: get_tracking_summary_by_id
      parameters:
      - description: An unique ID for software track summary
        in: path
        name: softwareTrackId
        required: true
        schema:
          type: integer
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields, use comma                         separated field names. Example:
          deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/summaryModel'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - softwareTrack
  /syslog/daily:
    get:
      description: Lists the syslog events seen on the network, how often they occurred,
        what devices are involved, and how severe the events seen are.
      operationId: get_syslog
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: Records from exact day to be displayed, in format YYYY-MM-DD
        in: query
        name: date
        schema:
          type: string
      - description: Start date value of the date range to filter the records on the
          'date' attribute in 'YYYY-MM-DD' format. If the endDate is not specified,
          all records past the given start date will be returned.
        in: query
        name: startDate
        schema:
          type: string
      - description: End date value of the date range to filter the records on the
          'date' attribute in 'YYYY-MM-DD' format. If the startDate is not specified,
          all records till the given end date will be returned.
        in: query
        name: endDate
        schema:
          type: string
      - description: 'Returns result with the mentioned field(s) only. For multiple
          fields,                                   use comma separated field names.
          Example: deviceId,deviceName'
        in: query
        name: fields
        schema:
          type: string
      - description: The syslog message type
        explode: true
        in: query
        name: messageType
        schema:
          items:
            type: string
          type: array
        style: form
      - description: The severity of the signature
        explode: true
        in: query
        name: reviewedSeverity
        schema:
          items:
            type: integer
          type: array
        style: form
      - description: The syslog message severity
        explode: true
        in: query
        name: syslogEventSeverity
        schema:
          items:
            type: integer
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/syslogDailyModel'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - syslog
  /unidentifiedInventory/details:
    get:
      description: Lists details for all missing devices.
      operationId: get_devices
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: Partial fields
        in: query
        name: fields
        schema:
          type: string
      - description: The name of the missing device as reported by CDP/Syslog or the
          IP Address as reported by the Configuration/Syslog.
        explode: true
        in: query
        name: unidentifiedDeviceName
        schema:
          items:
            type: string
          type: array
        style: form
      - description: The status of the Unidentified Inventory device. Valid values
          include New (seen for first time), Recurring (seen for second or more times),
          Newly Managed (no longer seen because now in a collector), Deleted (no longer
          seen).
        explode: true
        in: query
        name: unidentifiedDeviceStatus
        schema:
          items:
            type: string
          type: array
        style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pageOfUnidentifiedInventoryDetails'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - unidentifiedInventory
  /unidentifiedInventory/summary:
    get:
      description: Lists summary details for all missing devices.
      operationId: get_summary
      parameters:
      - description: Max number of items
        in: query
        name: max
        schema:
          default: 500
          type: integer
      - description: Number of items skipped from the start
        in: query
        name: offset
        schema:
          default: 0
          type: integer
      - description: Partial fields
        in: query
        name: fields
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unidentifiedInventorySummary'
          description: OK
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
          headers:
            Date:
              description: Date of the response
              schema:
                type: string
            Etag:
              description: The RFC7232 ETag header
              schema:
                type: string
            TrackingId:
              description: Tracking ID for troubleshooting
              schema:
                type: string
      tags:
      - unidentifiedInventory
servers:
- description: The production API server for US
  url: https://api-cx.cisco.com/us/bcs/v2
  x-external-backend:
    basePath: /v2
    connectTimeout: 30000
    externalName: api-cx.cisco.com
    servicePort: 443
    serviceProtocol: https
    serviceType: ExternalName
- description: The production API server for EMEA
  url: https://api-cx.cisco.com/emea/bcs/v2
  x-external-backend:
    basePath: /v2
    connectTimeout: 30000
    externalName: api-cx.cisco.com
    servicePort: 443
    serviceProtocol: https
    serviceType: ExternalName
tags:
- description: API Endpoints related to the inventory.
  name: inventory
- description: API Endpoints related to product-alerts found in the network.
  name: productAlerts
- description: API Endpoints related to configuration best practice (CBP).
  name: configurationBestPractices
- description: API Endpoint providing insights into syslog messages.
  name: syslog
- description: API Endpoints providing insights into what versions of software you
    are advised to run and how compliant your network is.
  name: softwareTrack
- description: API Endpoints providing insights into device crashes and reloads.
  name: deviceReset
- description: API Endpoints related to device risk mitigation.
  name: riskMitigation
- description: API Endpoints related to logical device groups.
  name: deviceGroups
- description: API Endpoints providing insights into the contract status.
  name: contract
- description: API Endpoints providing insights into the Cisco CSPC or OIC collectors
    you have enabled on your network.
  name: collectors
- description: API Endpoints related to the unidentified inventory.
  name: unidentifiedInventory
- description: API Endpoints related to the PIN.
  name: placeInNetwork
